body {
  padding: 0;
  margin: 0;
  font-weight: 400;
  font-size: 16px;
}
div,
p {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
ul {
  padding: 0;
}
li {
  list-style-type: none;
}
.mr16 {
  margin-right: 16px;
}
.mr6 {
  margin-right: 6px;
}
.el-input {
  .el-input__inner {
    border-color: #dcdfe6; /* 默认边框颜色 */

    &:hover {
      border-color: #dcdfe6; /* hover 状态颜色 */
    }

    &:focus {
      border-color: #dcdfe6; /* focus 状态颜色 */
    }
  }
}
.overflow-css {
  white-space: nowrap; /* 禁止换行 */
  overflow: hidden; /* 隐藏溢出内容 */
  text-overflow: ellipsis; /* 显示省略号 */
}
html {
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* IE 和 Edge */
}

html::-webkit-scrollbar {
  display: none; /* Chrome, Safari 和 Opera */
}

body {
  overflow: -moz-scrollbars-none; /* 旧版 Firefox */
}
.el-input__inner {
  height: 36px !important;
}
.el-form-item {
  margin-bottom: 12px !important;
}
.el-select {
  width: 100%;
}
.el-cascader {
  width: 100%;
}

.el-dialog {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) !important;
  margin: 0 !important;
  border-radius: 12px !important;
}

.el-button {
  padding: 8px 16px !important;
  font-size: 14px !important;
  border-radius: 2px !important;
}

.el-button--default {
  color: #4e5969 !important;
  border: 1px solid #f2f3f5 !important;
  background-color: #ffffff;
}
.el-button--default:hover {
  color: #4e5969 !important;
  border: 1px solid #f2f3f5 !important;
  background-color: #ffffff !important;
}
.el-button--default:focus {
  color: #4e5969 !important;
  border: 1px solid #f2f3f5 !important;
  background-color: #ffffff !important;
}

.el-button--primary {
  background: #029e17 !important;
  border-radius: 2px 2px 2px 2px !important;
  border-color: #029e17 !important;
  color: #ffffff !important;
}
.el-button--primary:focus {
  background: #029e17 !important;
  border-radius: 2px 2px 2px 2px !important;
}
.el-button--primary:hover {
  background: #029e17 !important;
  border-radius: 2px 2px 2px 2px !important;

  color: #ffffff !important;
}
.el-button.is-plain {
  border: 1px solid #029e17 !important;
  background: none;
  color: #029e17 !important;
}

.el-button.is-round {
  border-radius: 20px !important;
}
.el-form-item__label {
  text-align: left !important;
}
.el-form-item__content {
  line-height: unset !important;
}
.el-select .el-input.is-focus .el-input__inner,
.el-cascader .el-input.is-focus .el-input__inner,
.el-select .el-input__inner:focus,
.el-cascader .el-input .el-input__inner:focus,
.el-textarea__inner:focus,
.el-checkbox__inner:hover,
.el-checkbox__input.is-indeterminate .el-checkbox__inner,
.el-checkbox__input.is-focus .el-checkbox__inner,
.el-radio__input.is-checked .el-radio__inner,
.el-radio__inner:hover,
.el-pagination__sizes .el-input .el-input__inner:hover {
  border-color: #029e17 !important;
}

.el-date-editor.el-input {
  width: 100% !important;
}

.el-date-table td.today span,
.el-date-table td.available:hover,
.el-date-picker__header-label:hover,
.el-picker-panel__icon-btn:hover,
.el-month-table td .cell:hover,
.el-year-table td .cell:hover,
.el-month-table td.today .cell,
.el-year-table td.today .cell,
.el-checkbox__input.is-checked + .el-checkbox__label,
.el-table-filter__bottom button:hover,
.el-select-dropdown__item.selected,
.el-radio__input.is-checked + .el-radio__label,
.el-pager li:hover,
.el-dialog__headerbtn:focus .el-dialog__close,
.el-dialog__headerbtn:hover .el-dialog__close,
.el-dialog__headerbtn:hover {
  color: #029e17 !important;
}
.el-date-table td.current:not(.disabled) span,
.el-checkbox__input.is-checked .el-checkbox__inner,
.el-checkbox__input.is-indeterminate .el-checkbox__inner,
.el-radio__input.is-checked .el-radio__inner {
  background-color: #029e17 !important;
}

/* 替换表头筛选图标 */
.el-table .el-table__column-filter-trigger i {
  display: none; /* 隐藏默认图标 */
}

.el-table .el-table__column-filter-trigger::before {
  content: "\e61d"; /* 使用 Unicode 字符 */
  /* 或者使用自定义图标字体 */
  /* content: "\e611"; */
  font-family: iconfont;
  font-size: 12px;
  margin-left: 6px;
}

.el-table .descending .sort-caret.descending {
  border-top-color: #029e17 !important;
}
.el-table .ascending .sort-caret.ascending {
  border-bottom-color: #029e17 !important;
}
.el-table th.el-table__cell > .cell {
  font-weight: 400 !important;
  font-size: 16px !important;
  color: #1d2129 !important;
}
.el-pager li.active {
  color: #029e17 !important;
  border: 1px solid #029e17 !important;
  border-radius: 2px;
}
.el-pager li {
  min-width: 28px !important;
  width: 28px !important;
  height: 28px !important;
}
.speed-popover {
  min-width: 80px !important;
}
.el-form-item__label {
  text-align: right !important;
}
.el-form-item {
  margin-bottom: 20px !important;
}

.el-form-item__error {
  z-index: 10 !important;
  white-space: nowrap;
  top: 100% !important;
  left: 0 !important;
  margin-top: 4px !important;
}
.el-table th.el-table__cell {
  background: #f2f3f5 !important;
}
.el-table {
  border: 1px solid #e5e6eb !important;
  border-bottom: none !important;
}

.el-input-number__decrease,
.el-input-number__increase {
  top: 2px !important;
  height: 34px !important;
}

.el-dropdown-menu__item:not(.is-disabled):hover {
  background-color: rgba(2, 158, 23, 0.1) !important;
  color: #029e17 !important;
}
